<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:37:05 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>StateMachineUtil (org.eclipse.papyrus.designer.transformation.library 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StateMachineUtil (org.eclipse.papyrus.designer.transformation.library 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9,"i19":9,"i20":9,"i21":9,"i22":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StateMachineUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/MultipleReceptacle.html" title="class in org.eclipse.papyrus.designer.transformation.library.xtend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StructBasedMarshalling.html" title="class in org.eclipse.papyrus.designer.transformation.library.xtend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html" target="_top">Frames</a></li>
<li><a href="StateMachineUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.transformation.library.xtend</div>
<h2 title="Class StateMachineUtil" class="title">Class StateMachineUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.transformation.library.xtend.StateMachineUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">StateMachineUtil</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#StateMachineUtil--">StateMachineUtil</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Transition&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#allIncomings-org.eclipse.uml2.uml.State-">allIncomings</a></span>(org.eclipse.uml2.uml.State&nbsp;state)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Transition&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#allOutgoings-org.eclipse.uml2.uml.State-">allOutgoings</a></span>(org.eclipse.uml2.uml.State&nbsp;state)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Package</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#boundPackageRef-org.eclipse.uml2.uml.Type-">boundPackageRef</a></span>(org.eclipse.uml2.uml.Type&nbsp;actual)</code>
<div class="block">Return the bound package in the context of template instantiation for a given actual.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Pseudostate&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#choicePoints-org.eclipse.uml2.uml.Region-">choicePoints</a></span>(org.eclipse.uml2.uml.Region&nbsp;region)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Pseudostate</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#createPseudostate-org.eclipse.uml2.uml.Region-java.lang.String-">createPseudostate</a></span>(org.eclipse.uml2.uml.Region&nbsp;region,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.State</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#createState-org.eclipse.uml2.uml.Region-java.lang.String-">createState</a></span>(org.eclipse.uml2.uml.Region&nbsp;region,
           <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#declareDependencyToOperationIDs-org.eclipse.uml2.uml.Package-">declareDependencyToOperationIDs</a></span>(org.eclipse.uml2.uml.Package&nbsp;pkg)</code>
<div class="block">Declares a dependency from the current classifier which is produced by template instantiation
 to the element (enum) "OperationIDs", if found within the passed package.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#declareDependencyToSignalIDs-org.eclipse.uml2.uml.Package-">declareDependencyToSignalIDs</a></span>(org.eclipse.uml2.uml.Package&nbsp;pkg)</code>
<div class="block">Declares a dependency from the current classifier which is produced by template instantiation
 to the element (enum) "SignalIDs", if found within the passed package.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Pseudostate</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#deepHistory-org.eclipse.uml2.uml.Region-">deepHistory</a></span>(org.eclipse.uml2.uml.Region&nbsp;region)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Pseudostate&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#entryPoints-org.eclipse.uml2.uml.State-">entryPoints</a></span>(org.eclipse.uml2.uml.State&nbsp;state)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Pseudostate&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#exitPoints-org.eclipse.uml2.uml.State-">exitPoints</a></span>(org.eclipse.uml2.uml.State&nbsp;state)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Pseudostate&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#filteredPseudoStates-org.eclipse.uml2.uml.Region-org.eclipse.uml2.uml.PseudostateKind-">filteredPseudoStates</a></span>(org.eclipse.uml2.uml.Region&nbsp;region,
                    org.eclipse.uml2.uml.PseudostateKind&nbsp;kind)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Pseudostate</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#firstPseudoState-org.eclipse.uml2.uml.Region-org.eclipse.uml2.uml.PseudostateKind-">firstPseudoState</a></span>(org.eclipse.uml2.uml.Region&nbsp;region,
                org.eclipse.uml2.uml.PseudostateKind&nbsp;kind)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Transition&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#indirectIncomings-org.eclipse.uml2.uml.State-">indirectIncomings</a></span>(org.eclipse.uml2.uml.State&nbsp;state)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Transition&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#indirectOutgoings-org.eclipse.uml2.uml.State-">indirectOutgoings</a></span>(org.eclipse.uml2.uml.State&nbsp;state)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Pseudostate</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#initialState-org.eclipse.uml2.uml.Region-">initialState</a></span>(org.eclipse.uml2.uml.Region&nbsp;region)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Pseudostate&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#junctionPoints-org.eclipse.uml2.uml.Region-">junctionPoints</a></span>(org.eclipse.uml2.uml.Region&nbsp;region)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#moveContents-org.eclipse.uml2.uml.Region-org.eclipse.uml2.uml.State-">moveContents</a></span>(org.eclipse.uml2.uml.Region&nbsp;targetRegion,
            org.eclipse.uml2.uml.State&nbsp;source)</code>
<div class="block">Adds all the inner elements of a composite state to self, except for the
 initial, entry, exit and history pseudo-states.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Region</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#region-org.eclipse.uml2.uml.State-">region</a></span>(org.eclipse.uml2.uml.State&nbsp;state)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Region</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#region-org.eclipse.uml2.uml.StateMachine-">region</a></span>(org.eclipse.uml2.uml.StateMachine&nbsp;stateMachine)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.State&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#states-org.eclipse.uml2.uml.Region-">states</a></span>(org.eclipse.uml2.uml.Region&nbsp;region)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.State&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#states-org.eclipse.uml2.uml.StateMachine-">states</a></span>(org.eclipse.uml2.uml.StateMachine&nbsp;stateMachine)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.State&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html#subStates-org.eclipse.uml2.uml.State-">subStates</a></span>(org.eclipse.uml2.uml.State&nbsp;state)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="StateMachineUtil--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StateMachineUtil</h4>
<pre>public&nbsp;StateMachineUtil()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="region-org.eclipse.uml2.uml.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>region</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Region&nbsp;region(org.eclipse.uml2.uml.State&nbsp;state)</pre>
</li>
</ul>
<a name="region-org.eclipse.uml2.uml.StateMachine-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>region</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Region&nbsp;region(org.eclipse.uml2.uml.StateMachine&nbsp;stateMachine)</pre>
</li>
</ul>
<a name="subStates-org.eclipse.uml2.uml.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>subStates</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.State&gt;&nbsp;subStates(org.eclipse.uml2.uml.State&nbsp;state)</pre>
</li>
</ul>
<a name="states-org.eclipse.uml2.uml.StateMachine-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>states</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.State&gt;&nbsp;states(org.eclipse.uml2.uml.StateMachine&nbsp;stateMachine)</pre>
</li>
</ul>
<a name="states-org.eclipse.uml2.uml.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>states</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.State&gt;&nbsp;states(org.eclipse.uml2.uml.Region&nbsp;region)</pre>
</li>
</ul>
<a name="entryPoints-org.eclipse.uml2.uml.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>entryPoints</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Pseudostate&gt;&nbsp;entryPoints(org.eclipse.uml2.uml.State&nbsp;state)</pre>
</li>
</ul>
<a name="exitPoints-org.eclipse.uml2.uml.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitPoints</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Pseudostate&gt;&nbsp;exitPoints(org.eclipse.uml2.uml.State&nbsp;state)</pre>
</li>
</ul>
<a name="junctionPoints-org.eclipse.uml2.uml.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>junctionPoints</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Pseudostate&gt;&nbsp;junctionPoints(org.eclipse.uml2.uml.Region&nbsp;region)</pre>
</li>
</ul>
<a name="choicePoints-org.eclipse.uml2.uml.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>choicePoints</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Pseudostate&gt;&nbsp;choicePoints(org.eclipse.uml2.uml.Region&nbsp;region)</pre>
</li>
</ul>
<a name="filteredPseudoStates-org.eclipse.uml2.uml.Region-org.eclipse.uml2.uml.PseudostateKind-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filteredPseudoStates</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Pseudostate&gt;&nbsp;filteredPseudoStates(org.eclipse.uml2.uml.Region&nbsp;region,
                                                                                                       org.eclipse.uml2.uml.PseudostateKind&nbsp;kind)</pre>
</li>
</ul>
<a name="firstPseudoState-org.eclipse.uml2.uml.Region-org.eclipse.uml2.uml.PseudostateKind-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>firstPseudoState</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Pseudostate&nbsp;firstPseudoState(org.eclipse.uml2.uml.Region&nbsp;region,
                                                                org.eclipse.uml2.uml.PseudostateKind&nbsp;kind)</pre>
</li>
</ul>
<a name="indirectIncomings-org.eclipse.uml2.uml.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indirectIncomings</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Transition&gt;&nbsp;indirectIncomings(org.eclipse.uml2.uml.State&nbsp;state)</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The set of all transitions ending indirectly on the state.
         This is, those which end on one of the state's entry points.</dd>
</dl>
</li>
</ul>
<a name="indirectOutgoings-org.eclipse.uml2.uml.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indirectOutgoings</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Transition&gt;&nbsp;indirectOutgoings(org.eclipse.uml2.uml.State&nbsp;state)</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The set of all transitions ending indirectly on the state.
         This is, those which end on one of the state's entry points.</dd>
</dl>
</li>
</ul>
<a name="allIncomings-org.eclipse.uml2.uml.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allIncomings</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Transition&gt;&nbsp;allIncomings(org.eclipse.uml2.uml.State&nbsp;state)</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The set of all direct and indirect incoming transitions to the state.</dd>
</dl>
</li>
</ul>
<a name="allOutgoings-org.eclipse.uml2.uml.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allOutgoings</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;org.eclipse.uml2.uml.Transition&gt;&nbsp;allOutgoings(org.eclipse.uml2.uml.State&nbsp;state)</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The set of all direct and indirect incoming transitions to the state.</dd>
</dl>
</li>
</ul>
<a name="moveContents-org.eclipse.uml2.uml.Region-org.eclipse.uml2.uml.State-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveContents</h4>
<pre>public static&nbsp;void&nbsp;moveContents(org.eclipse.uml2.uml.Region&nbsp;targetRegion,
                                org.eclipse.uml2.uml.State&nbsp;source)</pre>
<div class="block">Adds all the inner elements of a composite state to self, except for the
 initial, entry, exit and history pseudo-states.

 This operation moves those elements, as it removes them from their
 original container and sets their owner to the recipient.</div>
</li>
</ul>
<a name="initialState-org.eclipse.uml2.uml.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initialState</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Pseudostate&nbsp;initialState(org.eclipse.uml2.uml.Region&nbsp;region)</pre>
</li>
</ul>
<a name="deepHistory-org.eclipse.uml2.uml.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deepHistory</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Pseudostate&nbsp;deepHistory(org.eclipse.uml2.uml.Region&nbsp;region)</pre>
</li>
</ul>
<a name="createState-org.eclipse.uml2.uml.Region-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createState</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.State&nbsp;createState(org.eclipse.uml2.uml.Region&nbsp;region,
                                                     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
<a name="createPseudostate-org.eclipse.uml2.uml.Region-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPseudostate</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Pseudostate&nbsp;createPseudostate(org.eclipse.uml2.uml.Region&nbsp;region,
                                                                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
<a name="boundPackageRef-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>boundPackageRef</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Package&nbsp;boundPackageRef(org.eclipse.uml2.uml.Type&nbsp;actual)</pre>
<div class="block">Return the bound package in the context of template instantiation for a given actual.

 This is required by the state machine template which needs to access operation IDs
 provided by the call interceptor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>actual</code> - The actual for template binding</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="declareDependencyToOperationIDs-org.eclipse.uml2.uml.Package-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>declareDependencyToOperationIDs</h4>
<pre>public static&nbsp;void&nbsp;declareDependencyToOperationIDs(org.eclipse.uml2.uml.Package&nbsp;pkg)</pre>
<div class="block">Declares a dependency from the current classifier which is produced by template instantiation
 to the element (enum) "OperationIDs", if found within the passed package.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pkg</code> - </dd>
</dl>
</li>
</ul>
<a name="declareDependencyToSignalIDs-org.eclipse.uml2.uml.Package-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>declareDependencyToSignalIDs</h4>
<pre>public static&nbsp;void&nbsp;declareDependencyToSignalIDs(org.eclipse.uml2.uml.Package&nbsp;pkg)</pre>
<div class="block">Declares a dependency from the current classifier which is produced by template instantiation
 to the element (enum) "SignalIDs", if found within the passed package.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pkg</code> - the package in which an enumeration is looked up</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StateMachineUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/MultipleReceptacle.html" title="class in org.eclipse.papyrus.designer.transformation.library.xtend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/xtend/StructBasedMarshalling.html" title="class in org.eclipse.papyrus.designer.transformation.library.xtend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/library/xtend/StateMachineUtil.html" target="_top">Frames</a></li>
<li><a href="StateMachineUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
